Table of Contents

## Name

XtError, XtSetErrorHandler, XtSetWarningHandler, XtWarning - low-level error handlers

## Syntax

void XtError(String message);
void XtSetErrorHandler(XtErrorHandler handler):
void XtSetWarningHandler(XtErrorHandler handler);
void XtWarning(String message);

## Arguments

Specifies the nonfatal error message that is to be reported. or the nonfatal error procedure, which usually returns

Specifies the new fatal error procedure, which should not return,.

Specifies the message that is to be reported.

## Description

The XtError function has been superceded by XtAppError.

The XtSetErrorHandler function has been superceded by XtAppSetErrorHandler.

The XtSetWarningHandler function has been superceded by XtAppSetWarningHandler.

The XtWarning function has been superceded by XtAppWarning.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also